Search Results for

Show / Hide Table of Contents

# Class TreeNodeBuilder

ITreeBuilder<T> implementation for ITreeNode objects

##### Inheritance

System.Object
TreeBuilder<ITreeNode>
TreeNodeBuilder

##### Implements

ITreeBuilder<ITreeNode>

##### Inherited Members

TreeBuilder<ITreeNode>.SupportsCanExpand
TreeBuilder<ITreeNode>.CanExpand(ITreeNode)
System.Object.Equals(System.Object)
System.Object.Equals(System.Object, System.Object)
System.Object.GetHashCode()
System.Object.GetType()
System.Object.MemberwiseClone()
System.Object.ReferenceEquals(System.Object, System.Object)
System.Object.ToString()

###### Namespace: Terminal.Gui.Trees

###### Assembly: Terminal.Gui.dll

##### Syntax

    public class TreeNodeBuilder : TreeBuilder<ITreeNode>, ITreeBuilder<ITreeNode>

### Constructors

#### TreeNodeBuilder()

Initialises a new instance of builder for any model objects of Type ITreeNode

##### Declaration

    public TreeNodeBuilder()

### Methods

#### GetChildren(ITreeNode)

Returns Children from `model`

##### Declaration

    public override IEnumerable<ITreeNode> GetChildren(ITreeNode model)

##### Parameters

Type | Name | Description
--- | --- | ---
ITreeNode | model |

##### Returns

Type | Description
--- | ---
System.Collections.Generic.IEnumerable<ITreeNode> |

##### Overrides

Terminal.Gui.Trees.TreeBuilder<Terminal.Gui.Trees.ITreeNode>.GetChildren(Terminal.Gui.Trees.ITreeNode)

### Implements

ITreeBuilder<T>